commit 0fe7650062ca06baa0e1e04e09a4fccfe2099360
Merge: 1c4f3827625 314844c9ace
Author: Varun Nagaraju <varun.nagaraju@percona.com>
Date:   Tue Jun 4 14:45:15 2024 +0530

    Merge pull request #5291 from VarunNagaraju/pos-EOL-2
    
    PS-9174 Backport bug fixes from MySQL 8.0.37

commit e668e5441a9d545343af25bec249bbfcd3f8a015
Author: Vadim Yalovets <vadim.yalovets@percona.com>
Date:   Tue Jun 11 20:30:27 2024 +0300

    add-noble-ps57


commit afa850ab89c96cbf1c12ec41992bad75512db8eb
Author: Vadim Yalovets <vadim.yalovets@percona.com>
Date:   Tue Jun 11 22:39:33 2024 +0300

    add-noble-ps57


commit e968435f0c1d711d3e037e88fdfdb8b2f7bfb26b
Merge: 0fe7650062c afa850ab89c
Author: Vadim Yalovets <vadim.yalovets@percona.com>
Date:   Wed Jun 12 10:47:59 2024 +0300

    Merge pull request #5314 from adivinho/release-5.7.44-50
    
    Release-5.7.44-50

commit 899a9b79e71dc20a56271f0bd40b07611f3026b7
Merge: 0fe7650062c e968435f0c1
Author: Vadim Yalovets <vadim.yalovets@percona.com>
Date:   Tue Jul 9 12:33:47 2024 +0300

    Merge pull request #5325 from percona/release-5.7.44-50
    
    Release-5.7.44-50

commit 2a26b295f3ed4a79105d52f8463ba728dacdcf73
Author: Tor Didriksen <tor.didriksen@oracle.com>
Date:   Fri May 3 13:12:25 2024 +0200

    PS-9301 MYSQL SERVER 8.3.0 GLOBAL-BUFFER-OVERFLOW AT 'DECIMAL_BIN_SIZE_INLINE'
    
    https://perconadev.atlassian.net/browse/PS-9301
    
    Bug#36563773 mysql/mysql-server@2f67801d010
    
    Limit the scale used when computing averages of decimal numbers.
    
    Simplified patch backported.
    
    Change-Id: If32143ad7ed55f841e3973e78fa8e98cc245e775

diff --git a/sql/item_sum.cc b/sql/item_sum.cc
index 15c5e2e63b3..4464d87de38 100644
--- a/sql/item_sum.cc
+++ b/sql/item_sum.cc
@@ -1,4 +1,4 @@
-/* Copyright (c) 2000, 2023, Oracle and/or its affiliates.
+/* Copyright (c) 2000, 2024, Oracle and/or its affiliates.
 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2.0,
@@ -1727,7 +1727,7 @@ void Item_sum_avg::fix_length_and_dec()
                                                              decimals,
                                                              unsigned_flag);
     f_precision= min(precision+DECIMAL_LONGLONG_DIGITS, DECIMAL_MAX_PRECISION);
-    f_scale=  args[0]->decimals;
+    f_scale = min<uint>(args[0]->decimals, f_precision);
     dec_bin_size= my_decimal_get_binary_size(f_precision, f_scale);
   }
   else {

